#ifndef MARKETPLACE_H
#define MARKETPLACE_H

#include "article.h"
#include "sale.h"
#include "seller.h"

#include <vector>

class Marketplace
{
  public:
    Marketplace();
    void storeToDb();
    void loadFromDb();
    std::vector<std::unique_ptr<Seller>>& getSellers();

  private:
    std::vector<std::unique_ptr<Seller>> sellers_;
    std::vector<std::unique_ptr<Sale>> sales_;
};

#endif