#include "sellerdialog.h"

#include "mainwindow.h"

SellerDialog::SellerDialog(QWidget* parent, Qt::WindowFlags f) : QDialog(parent, f)
{
    ui_.setupUi(this);
    SellerModel* model = new SellerModel(
        dynamic_cast<MainWindow*>(parent)->getMarketplace()->getSellers(), ui_.tableView);
    ui_.tableView->setModel(model);
    ui_.tableView->setColumnHidden(0, true); // hide the uuid
}
